Response fields
Response field descriptions
| Output container/field | Type | Description |
|---|---|---|
| itemId | string | The unique identifier of the listing in eBay RESTful format. For a single-variation listing, an example would be Occurrence: Always |
| legacyItemId | string | The numeric eBay item ID, in legacy (classic) format. Occurrence: Always |
| title | string | The title of the listing. This title can be created by the seller, or it may be the title used by an eBay catalog product if the seller listed the product based off of an eBay catalog product. Occurrence: Always |
| subtitle | string | An optional subtitle displayed below the listing title. Occurrence: Conditional |
| image | Image | The primary image for the listing. Occurrence: Conditional |
| additionalImages | array of Image | Additional images for the listing, beyond the primary image. Occurrence: Conditional |
| categoryId | string | The unique identifier of the listing category. Occurrence: Always |
| categoryIdPath | string | The pipe-delimited category IDs from root to leaf (e.g. Occurrence: Conditional |
| categoryPath | string | The pipe-delimited category display names from root to leaf. Occurrence: Always |
| listingMarketplaceId | string | The unique identifier of the eBay marketplace where an item is listed. Occurrence: Conditional |
| adultOnly | boolean | When Occurrence: Conditional |
| itemCreationDate | string | A timestamp indicating when the listing was created. UTC timestamps are used and have the following format: yyyy-MM-ddThh:mm:ss.sssZ. Occurrence: Always |
| itemEndDate | string | A timestamp indicating when the item's sale period will end based on its start date and duration. UTC timestamps are used and have the following format: yyyy-MM-ddThh:mm:ss.sssZ. Occurrence: Conditional |
| itemWebUrl | string | The URL of the View Item page of the listing or item variation within the listing. Occurrence: Conditional |
| itemAffiliateWebUrl | string | The URL of the View Item page of the item, with the affiliate tracking ID appended to it. Occurrence: Conditional |
| itemLocation | ItemLocation | The physical location of the item. Occurrence: Conditional |
| lotSize | integer | The number of items in a lot listing. Returned as null for single-unit listings. Occurrence: Conditional |
| sellerItemRevision | string | The revision number of a seller's item. There are two types of item revisions:
Occurrence: Conditional |
| gtin | string | The unique Global Trade Item Number of the item. This can be a UPC (Universal Product Code) value, an EAN (European Article Number) value, or an ISBN (International Standard Book Number) value. Occurrence: Conditional |
| brand | string | The brand of the product. A value for this field will only be returned if 'Brand' is a defined item specific for the listing. Occurrence: Conditional |
| mpn | string | This value is the Manufacturer Part Number (MPN). An MPN value must always be paired with a brand value to make it a valid identifier. So, if a product has an MPN value, the brand value should also be referenced. Occurrence: Conditional |
| epid | string | This value is the eBay Product Identifier (ePID) associated with the item. Depending on the feed type, this value may be provided by the seller or matched/assigned by eBay's catalog service. When catalog-matched, each eBay catalog product has a unique ePID value. Occurrence: Conditional |
| inferredEpid | string | The inferred eBay Product ID (ePID) of an item, which has been programmatically determined by eBay using the item's title, aspects, and other data. Occurrence: Conditional |
| seller | Seller | Information about the seller who listed the item. Occurrence: Always |
| price | MonetaryAmount | The current listing price of the item. Occurrence: Always |
| marketingPrice | MarketingPrice | Strikethrough / markdown pricing details. Populated when a promotional price is active. Occurrence: Conditional |
| unitPrice | MonetaryAmount | The per-unit price for items sold by measure (e.g. per 100ml). For this value to mean something, also refer to the unitPricingMeasure field. Occurrence: Conditional |
| unitPricingMeasure | string | This field shows the measurement used for unit pricing. In unit pricing, the unit price per weight, per volume, or per count is shown. An example would be 100 ml. And for this value to mean something, the user must also look at the unitPrice field, which will show the price per 100 ml. So, if the unitPrice value is 6.8 EUR, the unit price will be 6.8 EUR per 100 ml. This field is only applicable for eBay marketplaces and categories that support unit pricing. This feature helps buyers compare prices across products/brands. Occurrence: Conditional |
| conditionId | string | The unique identifier of the condition of an item. For a list of condition name and IDs, see Item condition ID and name values Occurrence: Conditional |
| condition | string | Text describing the condition of the item. For a list of item condition values (and their numeric IDs), see the Item Condition IDs and Names page. Occurrence: Conditional |
| conditionDescription | string | A seller-provided free-text description of the item's condition. Occurrence: Conditional |
| conditionDescriptors | array of ConditionDescriptor | This array is used by sellers to provide additional information about the condition of an item in a structured format. Condition descriptors are name-value attributes that indicate details about the particular condition of an item. Occurrence: Conditional |
| energyEfficiencyClass | string | This field shows the European energy efficiency rating (EEK) of the item. Data is returned in this column only if the seller specified the energy efficiency rating for the item. Occurrence: Conditional |
| estimatedAvailabilities | array of EstimatedAvailability | Availability and delivery information for the item. One entry per delivery option. Occurrence: Conditional |
| returnTerms | ReturnTerms | The return policy terms set by the seller. Occurrence: Conditional |
| shippingOptions | array of ShippingOption | An array of the available shipping methods for the listing. The first entry is the primary (cheapest/default) method. Occurrence: Conditional |
| shipToLocations | ShipToLocations | Ship-to region inclusions and exclusions for the listing. Occurrence: Conditional |
| qualifiedPrograms | array of string | eBay programs the item qualifies for (e.g. Occurrence: Conditional |
| primaryItemGroup | PrimaryItemGroup | The parent item group. Populated only for variation items. Occurrence: Conditional |
| localizedAspects | array of TypedNameValue | An array of item aspect name/value pairs that provide detailed information about an item or variation. Occurrence: Conditional |
| inferredLocalizedAspects | array of TypedNameValue | An array of the inferred item aspect name/value pairs that provide detailed information about an item or variation, programmatically determined by eBay. If a seller provided aspects for an item, the seller's values are returned in the localizedAspects array. Occurrence: Conditional |
| ageGroup | string | The age group(s) that the product is intended for. A value for this field will only be returned if age/age level/age range/age group is a defined item specific for the listing. The item specifics in the actual listing will most likely use age values/ranges, but the Buy Feed API maps these age values/ranges to the following values: newborn, infant, toddler, kids, or adult. Occurrence: Conditional |
| color | string | The color of the item. A value for this field will only be returned if 'Color' is a defined item specific or variation specific for the listing. Occurrence: Conditional |
| pattern | string | The item's pattern (classifier-derived, e.g. Solid, Striped). Occurrence: Conditional |
| size | string | The size of the item. A value for this field will only be returned if 'Size' is a defined item specific or variation specific for the listing. Occurrence: Conditional |
| gender | string | The specified gender that the item is intended for. A value for this field will only be returned if 'Gender' is a defined item specific or variation specific for the listing. Occurrence: Conditional |
| material | string | The material used for the product. A value for this field will only be returned if 'Material' is a defined item specific for the listing. Occurrence: Conditional |
| ecoParticipationFee | MonetaryAmount | The EU eco-participation fee. Applies to EPR-regulated products (e.g. France, Germany). Occurrence: Conditional |
| sellerCustomPolicies | array of SellerCustomPolicy | Seller-defined custom policies for the item, such as take-back or product compliance policies. Occurrence: Conditional |
| hazardousMaterialsLabels | HazardousMaterialsLabels | The hazardous materials label information for an item. Occurrence: Conditional |
| productSafetyLabels | ProductSafetyLabels | The EU product safety label information for an item (distinct from GHS hazardous materials labels). Occurrence: Conditional |
| responsiblePersons | array of ResponsiblePerson | EU-required responsible persons / economic operator contacts for product compliance. Occurrence: Conditional |
| repairScore | string | A score that describes how easy it is to repair the product. Score values range from 0.1 (hardest to repair) to 10.0 (easiest to repair). Occurrence: Conditional |
| tyreLabelImageUrl | string | The URL of the tyre label image. Occurrence: Conditional |
| alerts | string | Pipe-delimited feed alert codes related to an item (e.g. Occurrence: Conditional |
| priorityListing | boolean | A value of Occurrence: Conditional |
| imageAlteringProhibited | boolean | A boolean that indicates whether the image(s) can be altered on a listing. If the value is Occurrence: Always |
| defaultImageUrl | string | The URL of the gallery image. Occurrence: Conditional |
| inferredGtin | string | The inferred Global Trade Item Number (GTIN) of an item, which has been programmatically determined by eBay using the item's title, aspects, and other data. Occurrence: Conditional |
| inferredBrand | string | The inferred brand of an item, which has been programmatically determined by eBay using the item's title, aspects, and other data. Occurrence: Conditional |
| inferredMpn | string | The inferred Manufacturer Part Number (MPN) of an item, which has been programmatically determined by eBay using the item's title, aspects, and other data. Occurrence: Conditional |
| totalUnits | string | For an item that is priced by weight or length, this field shows the total number of units that are sale for one quantity of the item. For example, if the item is priced by weight, this field might show a value of Occurrence: Conditional |